Bug 197256 - [PATCH] ip6(4): missing IPV6_RECVHOPLIMIT and other RFC3542 API documentation
Summary: [PATCH] ip6(4): missing IPV6_RECVHOPLIMIT and other RFC3542 API documentation
Status: In Progress
Alias: None
Product: Documentation
Classification: Unclassified
Component: Manual Pages (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Gordon Bergling
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2015-02-01 22:34 UTC by guyyur
Modified: 2020-09-19 16:06 UTC (History)
4 users (show)

See Also:


Attachments
ip6(4) update from OpenBSD (7.64 KB, patch)
2015-02-01 22:34 UTC, guyyur
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description guyyur 2015-02-01 22:34:56 UTC
Created attachment 152458 [details]
ip6(4) update from OpenBSD

ip6(4) is missing IPV6_RECVHOPLIMIT and other RFC3542 API documentation.

OpenBSD has updated ip6(4) for RFC3542.

Attached patch applies OpenBSD revisions 1.25, 1.26, 1.29, 1.31, 1.32, 1.33.
$OpenBSD$ line is updated from 1.21 to 1.33.

Revision 1.25 adds missing sys/types.h.
The other revisions update RFC APIs and Standards.

Skipped OpenBSD revisions:
1.22 conversion of date to $Mdocdate$ keyword.
1.23 already done by r196654.
1.24 already done by r176470.
1.27 and 1.28 adding IPV6_RECVDSTPORT.
  (there is no reference to IPV6_RECVDSTPORT in sys/netinet6)
1.30 already done by r274331.

Manpage date is not updated by the patch.
Comment 1 guyyur 2017-03-11 10:58:03 UTC
Updated patches:
https://github.com/guyyur/freebsd-src_patches/tree/master/man4_ip6_updates
If first uncommenting IPV6_ORIGDSTADDR documentation added in r314722
(Apply uncomment_IPV6_ORIGDSTADDR.patch first)

If not
https://github.com/guyyur/freebsd-src_patches/tree/master/man4_ip6_updates_no_IPV6_ORIGDSTADDR_uncomment

Split into patch for each OpenBSD commit
openbsd_v1.25_changes.patch
openbsd_v1.26_changes.patch
openbsd_v1.29_changes.patch
openbsd_v1.31_changes.patch
openbsd_v1.32_changes.patch
openbsd_v1.33_changes.patch
openbsd_v1.34_changes.patch
move_openbsd_tag_to_v1.34.patch

v1.32 removed options that are commented out in the manpage and are not implemented in OpenBSD.  They are also not implemented in FreeBSD.
It also uncommented IPV6_NEXTHOP.

v1.34 removed IPV6_NEXTHOP documentation completely.
IPV6_NEXTHOP is still implemented in FreeBSD but is currently commented out in the manpage so I am not sure if v1.32, v1.34 should be applied.
Comment 2 guyyur 2018-11-06 19:40:02 UTC
Comment on attachment 152458 [details]
ip6(4) update from OpenBSD

marked old attached patch as obsolete
patches in github rebased after r339985

For reference, the openbsd changes can be seen here:
http://cvsweb.openbsd.org/cgi-bin/cvsweb/src/share/man/man4/ip6.4
Comment 3 Gordon Bergling freebsd_committer 2020-07-13 18:38:00 UTC
I am not sure that the ip6 man page is still outdated. There were a few additions in 2018 regarding the mentioned RFCs. Could you have a look at [1] and check the current state?

[1] https://svnweb.freebsd.org/base/head/share/man/man4/ip6.4?view=log
Comment 4 guyyur 2020-07-14 18:06:47 UTC
The man page is still outdated.
The IPV6_RECVHOPLIMIT and other OpenBSD changes are still missing.

The last commit for the man page is revision 339985 (Thu Nov 1 08:17:27 2018 UTC).
My last comment from 2018 is noting I rebased the patches over r339985.

1. r314722 added IPV6_ORIGDSTADDR documentation but commented out.
If it should be documented, use:
https://github.com/guyyur/freebsd-src_patches/tree/master/man4_ip6_updates
and first apply uncomment_IPV6_ORIGDSTADDR.patch

otherwise, use patches from:
https://github.com/guyyur/freebsd-src_patches/tree/master/man4_ip6_updates_no_IPV6_ORIGDSTADDR_uncomment

2. OpenBSD changes
openbsd_v1.25_changes.patch
openbsd_v1.26_changes.patch
openbsd_v1.29_changes.patch
openbsd_v1.31_changes.patch
openbsd_v1.32_changes.patch
openbsd_v1.33_changes.patch
openbsd_v1.34_changes.patch
move_openbsd_tag_to_v1.34.patch

v1.32 removed options that are commented out in the man page and are not implemented in OpenBSD.  They are also not implemented in FreeBSD.
It also uncommented IPV6_NEXTHOP.

v1.34 removed IPV6_NEXTHOP documentation completely.
IPV6_NEXTHOP is still implemented in FreeBSD but is currently commented out in the man page so I am not sure if v1.32, v1.34 should be applied.